import type { Log, RPCLog } from './../../types/Transaction.types';
/**
 * Converts RPC log receipt response to more JS-friendly format
 *
 * @param log the log to clean
 * @param receiptLog if the log is part of a transaction receipt. Used to remove certain keys from log
 * @example
 */
export declare function cleanLog(log: RPCLog, receiptLog: boolean): Log;
