import { BaseProvider } from './BaseProvider';
export interface ConstructorOptions {
    timeoutDuration?: number;
}
/**
 * @beta
 * A JSON RPC Provider which moves to the next URL when one fails.
 */
export declare class FallthroughProvider extends BaseProvider {
    /**
     * @ignore
     */
    private rpcUrlCounter;
    private readonly timeoutDuration;
    /**
     * @ignore
     */
    selectRpcUrl(): string;
    constructor(rpcUrls: string[], options?: ConstructorOptions);
    /**
     * @ignore
     */
    post: (body: Record<string, unknown>) => Promise<any>;
}
