export const fooABI = [
    {
        inputs: [
            {
                internalType: 'bytes3[2]',
                name: 'memory',
                type: 'bytes3[2]',
            },
        ],
        name: 'bar',
        outputs: [],
        type: 'function',
    },
    {
        inputs: [
            { internalType: 'uint32', name: 'x', type: 'uint32' },
            { internalType: 'bool', name: 'y', type: 'bool' },
        ],
        name: 'baz',
        outputs: [{ internalType: 'bool', name: 'r', type: 'bool' }],
        type: 'function',
    },
    {
        inputs: [
            { internalType: 'bytes', name: 'memory', type: 'bytes' },
            { internalType: 'bool', name: '', type: 'bool' },
            { internalType: 'uint[]', name: 'memory', type: 'uint[]' },
        ],
        name: 'sam',
        outputs: [],
        type: 'function',
    },
];
