import { tinyBig } from '../shared/tiny-big/tiny-big';
import { validateType } from '../shared/validate-type';
export function etherToWei(etherQuantity) {
    validateType(etherQuantity, ['string', 'number', 'object']);
    const result = tinyBig(etherQuantity).times('1000000000000000000');
    return tinyBig(result);
}
