"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlchemyProvider = void 0;
const JsonRpcProvider_1 = require("./JsonRpcProvider");
class AlchemyProvider extends JsonRpcProvider_1.JsonRpcProvider {
    constructor(apiKey, network = 'mainnet') {
        const alchemyUrl = `https://eth-${network}.alchemyapi.io/v2/${apiKey}`;
        super(alchemyUrl);
    }
}
exports.AlchemyProvider = AlchemyProvider;
