import { validateType } from '../shared/validate-type';
import { toChecksumAddress } from './to-checksum-address';
export function isAddress(address) {
    validateType(address, ['string']);
    try {
        toChecksumAddress(address);
        return true;
    }
    catch (error) {
        return false;
    }
}
